# -- Name of the image pull secret for accessing container images.
imagePullSecret: "nvcrimagepullsecret"

dgxcController:
  # -- Number of the DGX Admission Controller replicas to deploy.
  replicas: 1
  # -- Container image for the DGX Admission Controller.
  image: ""

webhooks:
  # -- Registered webhooks. Do not modify.
  registeredWebhooks:
    - name: dgxc-create-pvc-vwh
      enabled: false
    - name: dgxc-create-pvc-mwh
      enabled: false
    - name: dgxc-create-pod-mwh
      enabled: true
    - name: dgxc-create-nvsl-vwh
      enabled: false
    - name: dgxc-create-multi-namespace-pvc-mwh
      enabled: false

  # -- Pod mutating webhook configuration. Do not modify.
  podMutatingWebhook:
    customSettings:
      - name: modify-pod-rule
        addRdmaEnabled: true
        rdmaResourcePerGpu: 1
        networkAttachmentDefinition: default/default-ipoibnetwork
        rdmaResourceName: rdma/rdma_shared_device_a
        addNcclVars: true
        csp: "azure"

# -- Whether to enable integrations support. Do not modify.
enableIntegrationsSupport: false
# -- Whether to enable labeler. Do not modify.
enableLabeler: false
# -- Whether to enable RunAI RBAC. Do not modify.
enableRunAIRbac: false
# -- Whether to enable network policies. Do not modify.
enableNetworkPolicies: false
# -- Whether to enable DGX CRBAC. Do not modify.
enableDGXCRbac: false
# -- Whether to enable DGX CA bootstrap. Do not modify.
enableDGXCAPIBootstrap: false
# -- Whether to enable service monitor. Do not modify.
enableServiceMonitor: false

kubernetesAffinity:
  # -- Whether to enable Kubernetes affinity rules.
  enabled: false

# -- Key name for system workload toleration.
systemTolerationKeyName: dedicated
# -- Value for system workload toleration.
systemTolerationValueName: "system-workload"

tolerations:
  customer:
    # -- Toleration key for customer workloads.
    key: "dedicated"
    # -- Toleration value for customer workloads.
    value: "user-workload"
  system:
    # -- Toleration key for system workloads.
    key: "dedicated"
    # -- Toleration value for system workloads.
    value: "system-workload"

cloudProviderSpec:
  # -- Specifies the cloud provider type.
  type: azure
  azure:
    # -- Specifies the Azure instance type.
    instanceType: Standard_ND96amsr_A100_v4

enabledComponents:
  # -- Whether to enable the DGX Admission Controller.
  dgxcAdmissionController: true
  # -- Whether to enable the DGX RunAI Controller.
  dgxcRunaiController: false
  # -- Whether to enable the DGX Exporter.
  dgxcExporter: false